Loading...
Searching...
No Matches
ostream_logger.hpp File Reference
`#include <restinio/null_mutex.hpp>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <string>`
`#include <iostream>`
`#include <chrono>`
`#include <mutex>`

Go to the source code of this file.

## Classes

class | restinio::ostream_logger_t< Lock >
| Logger for std::ostream. More...

## Namespaces

namespace | restinio

## Typedefs

using | restinio::single_threaded_ostream_logger_t = ostream_logger_t< null_mutex_t >
using | restinio::shared_ostream_logger_t = ostream_logger_t< std::mutex >